Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.security
Class DefaultIdentityAssertionProvider

    java.lang.Object
      com.bea.wsrp.security.DefaultIdentityAssertionProvider

All Implemented Interfaces:
  IdentityAssertionProvider

public class DefaultIdentityAssertionProvider
extends Object
implements IdentityAssertionProvider

Default implementation of `IdentityAssertionProvider`.

Constructor Summary
`DefaultIdentityAssertionProvider()`

Method Summary
`AssertionDocument` | `createAssertion(Principal principal, String consumerName)` Creates a SAML identity assertion.
`void` | `init(String keystorePath, String keystorePassword, String certAlias, String privateKeyPassword)` Initializes the keystore for generating and validating identity assertion tokens.
`boolean` | `validateAssertion(AssertionType assertion)` Validates a SAML assertion.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultIdentityAssertionProvider

    public DefaultIdentityAssertionProvider()

Method Detail

### init

    public void init(String keystorePath,
                     String keystorePassword,
                     String certAlias,
                     String privateKeyPassword)

  Description copied from interface: `IdentityAssertionProvider`

  Initializes the keystore for generating and validating identity assertion tokens.

  Specified by:
    `init` in interface `IdentityAssertionProvider`
  Parameters:
    `keystorePath` -
    `keystorePassword` -
    `certAlias` -
    `privateKeyPassword` -

### createAssertion

    public AssertionDocument createAssertion(Principal principal,
                                             String consumerName)
                                      throws IOException,
                                             XmlException,
                                             NoSuchAlgorithmException

  Description copied from interface: `IdentityAssertionProvider`

  Creates a SAML identity assertion.

  Specified by:
    `createAssertion` in interface `IdentityAssertionProvider`
  Parameters:
    `principal` -
    `consumerName` -
  Returns:
  Throws:
    `NoSuchAlgorithmException`
    `IOException`
    `XmlException`

### validateAssertion

    public boolean validateAssertion(AssertionType assertion)
                              throws IdentityAssertionException

  Description copied from interface: `IdentityAssertionProvider`

  Validates a SAML assertion.

  Specified by:
    `validateAssertion` in interface `IdentityAssertionProvider`
  Parameters:
    `assertion` -
  Returns:
  Throws:
    `IdentityAssertionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved